/* Global styles */
:root {
    --color-accent: #c67d3b;
    --color-accent-hover: #c67d3b;
    --color-text: #222;
    --color-text-light: #7d7d7d;
    --color-background: #fff;
    --color-background-alt: #f9f9f9;
    --color-border: #eee;
}


html {
    -webkit-text-size-adjust: 100%;
    tab-size: 4;
    font-feature-settings: var(--default-font-feature-settings, normal);
    font-variation-settings: var(--default-font-variation-settings, normal);
    -webkit-tap-highlight-color: transparent;
}

body {
    color: var(--color-text);
    font-size: 16px;
}


th,
td {
    padding: 0.5rem 1rem;
}

a {
    color: var(--color-accent);
}

a:hover {
    color: var(--color-accent-hover);
}

/* Override Skeleton CSS Buttons */
.button.button-primary,
button.button-primary,
input[type="submit"].button-primary,
input[type="reset"].button-primary,
input[type="button"].button-primary {
    background-color: var(--color-accent);
    border-color: var(--color-accent);
}

input[type="checkbox"] {
    accent-color: var(--color-accent);
}

.button.button-primary:hover,
button.button-primary:hover,
input[type="submit"].button-primary:hover,
input[type="reset"].button-primary:hover,
input[type="button"].button-primary:hover,
.button.button-primary:focus,
button.button-primary:focus,
input[type="submit"].button-primary:focus,
input[type="reset"].button-primary:focus,
input[type="button"].button-primary:focus {
    background-color: var(--color-accent-hover);
    border-color: var(--color-accent-hover);
}

/* Override Skeleton CSS Inputs */
input[type="email"]:focus,
input[type="number"]:focus,
input[type="search"]:focus,
input[type="text"]:focus,
input[type="tel"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
textarea:focus,
select:focus {
    font-size: 16px;
    border-top: none;
    border-left: none;
    border-right: none;
    border: none;
    border-bottom: 1px solid black;
}

input[type="color"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="email"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"],
textarea {
    font-size: 16px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 400;
}

.height94 {
    height: 94dvh;
    overflow: hidden;
}



.button,
button,
input[type="submit"],
input[type="reset"],
input[type="button"] {
    padding: 0 1rem;

}

.badge {
    display: block;
    float: left;
    line-height: 3.5rem;
}


.button-clear {
    display: inline-block;
    text-align: center;
    line-height: 2rem;
    text-transform: uppercase;
    text-decoration: none;
    white-space: nowrap;
    background-color: transparent;
    box-sizing: border-box;
    margin-bottom: 0.5rem;
    border: none;
    padding: 0.5rem;
    font-size: large;
}

/* Modal Styles */
.modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;

}

.modal {
    background: white;
    padding: 1rem;
    max-height: 85dvh;
    min-width: 80dvw;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    overflow: hidden;

}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;

}



.modal-actions,
.modal-header {
    flex-shrink: 0;
}

.modal-content {
    flex: 1;
    overflow-y: auto;
}

.close-btn {
    background: none;
    border: none;
    cursor: pointer;
    padding: 1rem;
    line-height: 1;
    margin-bottom: 2rem;
}

.modal-actions {
    display: flex;
    justify-content: flex-end;
    gap: 1rem;
    margin-top: 1rem;
}

.invoice-display {
    padding: 1rem;
    background: var(--color-background-alt);
}

input:disabled {
    opacity: 0.5;
    background: var(--color-text-light);
    color: grey
}

.container {
    padding: 0 1rem;
}

.columns {
    margin-top: 2rem;
}

.text-left {
    text-align: left;
}

.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

details {
    padding-bottom: 1rem;

    &[open] {
        border-bottom: 1px solid var(--color-border);
        margin-bottom: 1.5rem;
    }
}

summary {
    cursor: pointer;
    color: var(--color-accent);
    margin-bottom: 0.5rem;
    outline: none;
}

details p {
    margin-top: 0.5rem;
    margin-bottom: 0;
    color: var(--color-text-light);
    line-height: 1.2;
}



/* Carta Theme Overrides */
body .carta-theme__default {
    --border-color: var(--color-text-light) !important;
    --selection-color: #b5f0ff3d !important;
    --focus-outline: var(--color-accent) !important;
    --hover-color: var(--color-accent) !important;
    --caret-color: var(--color-accent) !important;
    --text-color: var(--color-accent) !important;
    --border-color-dark: var(--color-accent) !important;
    --selection-color-dark: var(--color-accent) !important;
    --focus-outline-dark: var(--color-accent) !important;
    --hover-color-dark: var(--color-accent) !important;
    --caret-color-dark: #ffffff !important;
    --text-color-dark: #f1f1f1 !important;
}

.carta-wrapper code {
    font-size: 16px !important;
    line-height: 1.5 !important;
}

.carta-toolbar-left button {
    width: auto !important;
}

.carta-theme__default .carta-toolbar-left button {
    margin-right: 2rem;
}



.carta-toolbar {
    height: 3rem !important;
}

.carta-container textarea {
    line-height: 1.5 !important;
}

.carta-toolbar-right {
    height: 3rem !important;
}

.carta-toolbar-left button {
    line-height: 2rem !important;
    padding: 0 !important;
}


.carta-renderer,
.carta-viewer {
    width: 100%;
    font-family: Raleway, sans-serif;
    line-height: 1.2;



    h1 {
        font-size: 2rem;
        margin-bottom: 16px;
    }

    h2 {
        font-size: x-large;
        margin-bottom: 12px;
    }

    h3 {
        font-size: larger;
        margin-bottom: 8px;
    }

    ul,
    ol {
        margin-bottom: 2rem;

        li {
            list-style-type: disc;
            margin-left: 1.5rem;
            list-style-position: outside;
            line-height: 1.2;
            /* margin-bottom: 1.6rem; */
        }
    }



    p {
        line-height: 1.5;
        margin-bottom: 1.5rem;
    }

    img {
        width: 400px;
        max-width: 100%;
        max-height: 400px;
    }

    .scraped-data-preview {
        border: none;

        h3 {
            border-bottom: 1px solid var(--color-border);
            width: fit-content;
            margin-top: 3rem;

            &:nth-of-type(1) {
                margin-top: 0;
            }
        }
    }



    .location-list {
        .place-item {
            list-style: none;
            margin-bottom: 1rem;
            margin-left: 1.5rem;
            list-style: disc;
        }

        .place-score {
            font-size: smaller;
        }

    }
}


.scrape-date {
    font-size: smaller;
    color: #666;
    margin-top: -0.5rem;
    display: block;
    margin-bottom: 1.5rem;
}



.input-field {
    position: relative;
    margin-top: 1rem !important;
    border-radius: 0 !important;
}

.input-field label {
    font-weight: normal;
    color: #cccccc;
    position: absolute;
    pointer-events: none;
    top: 0;
    left: 0;
    transition: all 0.1s ease;
    height: 38px;
    line-height: 38px;
}

.input-field input,
.input-field select,
.input-field textarea {
    border: none;
    border-bottom: 1px solid lightgrey;
    border-radius: 0 !important;
    transition: all 0.1s ease;
}

.input-field input:focus,
.input-field select:focus,
.input-field textarea:focus {

    border-bottom: 1px solid black;

}

.input-field input:focus~label,
.input-field textarea:focus~label,
.input-field select+label,
.input-field input:not(:placeholder-shown)~label,
.input-field textarea:not(:placeholder-shown)~label {
    top: -0.5rem;
    bottom: 0px;
    left: 0px;
    font-size: 1rem;
    line-height: 1;
    opacity: 1;
    color: var(--color-text);
}

.input-field input::placeholder,
.input-field textarea::placeholder {
    visibility: hidden;
    opacity: 0;
    color: transparent;
}

@media (min-width: 550px) {
    .d-text-left {
        text-align: left;
    }

    .d-text-center {
        text-align: center;
    }

    .d-text-right {
        text-align: right;
    }
}

@media (min-width: 400px) {
    .container {
        width: 100%;

    }
}